# SpeechDatasets.jl

## Contents 

```@contents
Depth = 3
```

## Datasets

### AVID
"Aalto Vocal Intensity Database includes speech and EGG produced by 50 speakers (25 males, 25 females) who varied their vocal intensity in four categories (soft, normal, loud, and very loud)."  

[source](https://zenodo.org/records/10524873)
```@docs
AVID(datadir::AbstractString, outputdir::AbstractString)
```

### INA Diachrony
Voice recordings and transcriptions sorted by time period, sex and speaker.  

```@docs
INADIACHRONY(ina_wav_dir::AbstractString, outputdir::AbstractString, ina_csv_dir::Union{Nothing,AbstractString}=nothing)
```

### Mini LibriSpeech
"Subset of LibriSpeech corpus for purpose of regression testing."  

[source](https://www.openslr.org/31/)
```@docs
MINILIBRISPEECH(outputdir::AbstractString, subset::AbstractString)
```

### Multilingual LibriSpeech
"Multilingual LibriSpeech (MLS) dataset is a large multilingual corpus suitable for speech research. The dataset is derived from read audiobooks from LibriVox and consists of 8 languages - English, German, Dutch, Spanish, French, Italian, Portuguese, Polish."  

[source](http://www.openslr.org/94) 
```@docs

```

### Speech2Tex
Recordings of read equations, literal transcriptions and latex transcriptions.  
```@docs
SPEECH2TEX(datadir::AbstractString, outputdir::AbstractString)
```

### TIMIT
"The TIMIT corpus of read speech has been designed to provide speech data for the acquisition of acoustic-phonetic knowledge and for the development and evaluation of automatic speech recognition systems."  

[source](https://catalog.ldc.upenn.edu/LDC93S1)
```@docs
TIMIT(timitdir::AbstractString, outputdir::AbstractString, subset::AbstractString, formantsdir::Union{Nothing,AbstractString})
```

## Index

```@index
```